Subject: bug#17623: 24.4.50; incorrect example for `apply-partially' in (elisp) `Calling Functions'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jun 2014 19:55:10 +0300

> From: Michael Heerdegen <[email-masked]>
> Date: Sat, 28 Jun 2014 17:53:15 +0200
> Cc: [email-masked]
> 
> BTW, the second sentence here from (info "(elisp) Calling Functions") is
> confusing too wrt what it says about arguments.
> 
> ,----------------------------------------------------------------------
> | The act of fixing some of the function’s arguments is
> | called "partial application" of the function(1).  The result is a new
> | function that accepts the rest of arguments and calls the original
> | function with all the arguments combined.
> `----------------------------------------------------------------------
> 
> IMHO we should be more clearer about arguments, but then we can keep the
> 1+ example.  I think it would be more important to say that
> `apply-partially` is most useful in combination with functionals, as it
> is explained later on that info page.  That the result accepts any
> number of arguments is more kind of an implementation detail.

Sorry, I don't understand this critique.  Perhaps if you suggested an
alternative wording, it would become clear what is it that confused
you about the current text.

Thanks.